using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using System.Data.SqlClient;
using System.IO;



namespace academy
{
    public partial class backup : DevComponents.DotNetBar.OfficeForm
    {
        public backup()
        {
            InitializeComponent();
        }

        SaveFileDialog dlg = new SaveFileDialog();

        private void backupdata()
        {

            if (txt_address.Text == "")
            {
                MessageBox.Show("آدرسی برای پشتیبان گیری انتخاب نشده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                MessageBox.Show("لطفاً در حین عملیات پشتیبان به چیزی دست نزنید", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                string bk;
                bk = @"Backup DataBase school To Disk='" + dlg.FileName + "'";
                SqlConnection con = new SqlConnection("server=(local);database=school;integrated security=true");
                SqlCommand com = new SqlCommand(bk, con);
                con.Open();
                com.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("عملیات پشتیبان گیری با موفقیت انجام شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                

            }
        }

        private void btn_backup_Click(object sender, EventArgs e)
        {
            backupdata();
        }

        private void btn_browse_Click(object sender, EventArgs e)
        {
            dlg.DefaultExt = "BAK";
            dlg.Filter = "BackUp Files(*.BAK)|*.BAK";
            dlg.FilterIndex = 1;
            dlg.OverwritePrompt = true;
            dlg.Title = "پشتیبان گیری";
            if (dlg.ShowDialog() == DialogResult.OK)
            {
               

                txt_address.Text = dlg.FileName.ToString();
            }
        }

        private void btn_back_Click(object sender, EventArgs e)
        {
            main m = new main();
            m.Show();
            this.Hide();
        }

        
    }
}
